Package org.bukkit.entity

# Interface AnimalTamer

All Known Subinterfaces:
  `HumanEntity`, `OfflinePlayer`, `Player`

public interface AnimalTamer

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getName()`
This is the name of the specified AnimalTamer.
`@NotNull UUID`
`getUniqueId()`
This is the UUID of the specified AnimalTamer.

## Method Details

### getName

@Nullable @Nullable String getName()
This is the name of the specified AnimalTamer.

Returns:
  The name to reference on tamed animals or null if a name cannot be obtained

### getUniqueId

@NotNull @NotNull UUID getUniqueId()
This is the UUID of the specified AnimalTamer.

Returns:
  The UUID to reference on tamed animals